Subject: bug#2941: rmail's new handling of Babyl files is odd

From: Glenn Morris <[email-masked]>
Date: Thu, 09 Apr 2009 15:48:12 -0400

Severity: serious

The new way in which Rmail treats Babyl files is odd:

emacs -Q
C-u M-x rmail RET some-babyl-file RET

"Replacing BABYL format with mbox format...done"

Before I can read the above message, it is replaced with the next:

"Marking buffer unmodified to avoid rewriting Babyl file as mbox file"

Now I try to modify the buffer:

1) By adding a label.
a foo RET
"Marking buffer unmodified to avoid rewriting Babyl file as mbox file"

2) By editing a message.
e
make change to message
C-c C-c
"Marking buffer unmodified to avoid rewriting Babyl file as mbox file"

3) By deleting a message.
d
"Marking buffer unmodified to avoid rewriting Babyl file as mbox file"

Why do all of these leave the buffer unmodified? If Emacs crashes now,
I will lose information.

4) By expunging a message.
x
y

Finally, the buffer is marked modified.

Now if I press "s" to save the buffer, it is saved without warning,
clobbering the existing Babyl file. I was expecting a confirmation
prompt.